Subject: Re: linux-next: build warning after merge of the spi tree

From: Mark Brown <[email-masked]>
Date: Thu, 15 Nov 2018 11:26:31 -0800

On Thu, Nov 15, 2018 at 05:56:19PM +0200, Tomer Maimon wrote:
> Hi Mark and Stephen,
> 
> I saw the warning from the kbuilt, in this matter the ioread() function
> will call every time (and the val parameter will used) because rsize can be
> 1 or 2.
> 
> rsize = min(bytes_per_word(priv->bits_per_word), priv->rx_bytes);
> bytes_per_word(priv->bits_per_word)function return 1 or 2.
> npcm_pspi_recv()function will called only if parameter priv->rx_bytes is
> not 0.
> 
> please let me know if you think that I still need to modify the npcm_pspi_recv
> to fix kbuilt warning.

Please, it's going to create noise for people working on the kernel if
they get a spurious warning.